org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

## Class BaseRetryOnClassService

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassService

All Implemented Interfaces:
  RetryService

Direct Known Subclasses:
  RetryOnClassServiceNoAnnotationOnOveriddenMethod, RetryOnClassServiceNoRedefinition, RetryOnClassServiceOverrideClassLevel, RetryOnClassServiceOverrideClassLevelMethodOverride, RetryOnClassServiceOverrideMethodLevel

    @RequestScoped
     @Retry
    public class BaseRetryOnClassService
    extends Object
    implements RetryService

### Constructor Summary

Constructors
Constructor and Description
`BaseRetryOnClassService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Connection` `delegate()`
`int` `getNumberOfServiceCalls()`
`Connection` `service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseRetryOnClassService

    public BaseRetryOnClassService()

### Method Detail

#### service

    public Connection service()
                       throws IOException

Specified by:
  `service` in interface `RetryService`
Throws:
  `IOException`

#### delegate

    protected Connection delegate()
                           throws IOException

Throws:
  `IOException`

#### getNumberOfServiceCalls

    public int getNumberOfServiceCalls()

Specified by:
  `getNumberOfServiceCalls` in interface `RetryService`